/**
 * Sample React Native App
 * https://github.com/facebook/react-native
 * @flow
 */

import React, { Component } from 'react';
import {
  Platform,
  StyleSheet,
  Text,
  View,
  Dimensions,
  PixelRatio,
  TextInput,
  Button,
} from 'react-native';

const { height, width } = Dimensions.get('window');
const pxRatio = PixelRatio.get();

type Props = {};
export default class App extends Component<Props> {
  render() {
    return (
      <View style={styles.container}>
        <View style={styles.header}>
          <Text style={styles.back}>返回</Text>
          <Text style={styles.title}>这是一个标题</Text>
          <Text style={styles.exit}>×</Text>
        </View>

        <View style={styles.body}>
          <View style={styles.inputRow}>
            <TextInput style={styles.textInput}></TextInput>
            <Button style={styles.btn} onPress={() => {}} title="确定"></Button>
          </View>
          <View style={styles.inputRow}>
            <TextInput style={styles.textInput}></TextInput>
            <Button style={styles.btn} onPress={() => {}} title="非常确定"></Button>
          </View>
          <View style={styles.inputRow}>
            <TextInput style={styles.textInput}></TextInput>
            <Button style={styles.btn} onPress={() => {}} title="确定一定以及肯定"></Button>
          </View>
          <View style={styles.r} 
            accessible={true}
            onMagicTap={(e) => console.log('onMagicTap...')}
            onLayout={() => { console.log(666); }}>
          </View>
        </View>

        <View style={styles.footer}>
          <Text style={styles.firstMenu}>添加</Text>
          <Text style={styles.menu}>删除</Text>
          <Text style={styles.menu}>修改</Text>
        </View>
      </View>
    );
  }
}

const styles = StyleSheet.create({
  r: {
    width: 80,
    height: 80,
    backgroundColor: 'yellow',
    alignSelf: 'center',
    marginTop: 10,
    borderRadius: 40,
    elevation: 10
  },
  container: {
    flex: 1,
  },
  header: {
    height: 60,
    backgroundColor: 'orange',
    flexDirection: 'row',
    alignItems: 'center'
  },
  back: {
    color: 'white',
    marginLeft: 15
  },
  title: {
    flexGrow: 1,
    fontSize: 20,
    color: 'white',
    textAlign: 'center'
  },
  exit: {
    marginRight: 20,
    fontSize: 20,
    color: 'white'
  },
  body: {
    flexGrow: 1,
    backgroundColor: 'lightblue',
  },
  inputRow: {
    flexDirection: 'row',
    alignItems: 'center',
    marginLeft: 10,
    marginRight: 10
  },
  textInput: {
    flex: 1
  },
  btn: {
    minWidth: 60
  },

  footer: {
    height: 60,
    backgroundColor: 'green',
    flexDirection: 'row',
    alignItems: 'center'
  },

  menu: {
    flexGrow: 1,
    textAlign: 'center',
    borderColor: 'white',
    borderLeftWidth: 1,
    color: 'white'
  },
  firstMenu: {
    flexGrow: 1,
    textAlign: 'center',
    color: 'white'
  },

  defaultFlex: {
    height: 300,
    backgroundColor: '#ffe289',
    display: 'flex',
    justifyContent: 'space-between',
    alignItems: 'center'
  },

  row: {
    backgroundColor: '#ffe289',
    flexDirection: 'row'
  },
  rowReverse: {
    flexDirection: 'row-reverse'
  },
  column: {
    backgroundColor: '#ffe289',
    flexDirection: 'column'
  },
  columnReverse: {
    flexDirection: 'column-reverse'
  },
  item: {
    width: 50,
    height: 50,
    borderColor: '#456123',
    borderWidth: 1,
    lineHeight: 50,
    textAlign: 'center'
  },
  welcome: {
    fontSize: 20,
    textAlign: 'center',
    margin: 10,
  },
  instructions: {
    textAlign: 'center',
    color: '#333333',
    marginBottom: 5,
  },
  widthTest: {
    width: 350,
    height: 100,
    backgroundColor: '#123'
  }
});
